<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="aicare.net.cn.sdk.ailinksdkdemoandroid">

    <!--兼容6.0以上的手机Ble-->

    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission
        android:name="android.permission.ACCESS_COARSE_LOCATION"
        android:maxSdkVersion="30" />
    <uses-permission
        android:name="android.permission.ACCESS_FINE_LOCATION"
        android:maxSdkVersion="30" />
    <!--OTA需要读写文件-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <!--android12需要增加maxSdkVersion-->
    <uses-permission
        android:name="android.permission.BLUETOOTH"
        android:maxSdkVersion="30" />
    <uses-permission
        android:name="android.permission.BLUETOOTH_ADMIN"
        android:maxSdkVersion="30" />
    <!--android12还需要增加如下权限,也需求动态申请-->
    <uses-permission
        android:name="android.permission.BLUETOOTH_SCAN"
        android:usesPermissionFlags="neverForLocation"
        tools:targetApi="s" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <!--  声明前台服务连接设备的权限(非必须)  -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_CONNECTED_DEVICE" />

    <application
        android:name=".base.MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher"
        android:screenOrientation="portrait"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        tools:targetApi="q">

        <activity
            android:name=".home.MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name=".ClearShakeHandsActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ShowBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BabyCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TempGunCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".SphyCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TempCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".HeightCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BleCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TestCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TpmsConnectCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ConnectBleTestActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ADWeightScaleCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ADWeightScaleUserActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.wifi_ble_scale.WeightScaleWifiBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".WeightScaleBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".WifiConfigActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.eight_bodyfat.EightBodyfatActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TestOtaActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.blood_glucose.BloodGlucoseActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BabyBodyFatCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BroadcastScaleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TransmissionActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.toothbrush.ToothBrushWifiOnOnBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BLDWeightScaleBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BloodOxygenActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.blood_glucose.BloodGlucoseTestActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.share_charger.ShareChargerActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.broadcast_height.BroadcastHeightActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.coffee_scale.CoffeeScaleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".HeightWeightScaleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".find.FindDeviceActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".TempHumidityActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.ropeskipping.RopeSkippingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.airdetector.AirDetectorActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.airdetector_test.AirDetectorActivityTest"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.food_temp.FoodTempActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".find.FindDeviceNewActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".BloodSugar4GActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.share_socket.ShareSocketActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.share_condom.ShareCondomActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.broadcast_nutrition.BroadNutritionActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.ble_nutrition.BleNutritionActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.toothbrush_test.ToothbrushTestActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.leaone_broadcast.LeaOneBroadcastActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.fascia_gun.FasciaGunActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.blood_pressure_tc.BloodPressureTcActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.ropeskipping.RopeSkippingSetActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.body_scale_4g.BodyScale4GActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".AiLinkScooterActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.TempInstrument.TempInstrumentActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".AboutActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.PublicBleNetworkCmdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.noise_meter.WifiBleNoiseMeterActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.noise_meter.BleNoiseMeterActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.meat_probe_charger.MeatProbeChargerActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.meat_probe.MeatProbeActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.weight_scale.WeightScaleActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".modules.broadcast_weight_sacle.BroadcastWeightScaleActivity"
            android:screenOrientation="unspecified" />
        <activity
            android:name=".modules.barometric_temp_humidity.BarometricTempHygrometerActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.wifible_sphy.WifiBleSphyActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.PublicWifiBleOtaActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.eight_bodyfat.dual_band.EightDoubleBodyfatActivity"
            android:screenOrientation="portrait" />


        <activity
            android:name=".modules.bw05watch.Bw05WatchActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.ble_nutrition.BleNutritionNutrientActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.eight_bodyfat.EightBodyFatMcuActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.gasDetector.GasDetectorActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.gasDetectorPlus.GasDetectorPlusActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.hmiBodyFat.HmiBodyFatScaleBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.ble_0020_hu_infrared_temp.Ble0020HpInfraredTempActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".modules.toothbrush.ToothBrushWifiNewBleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".modules.broadcastOxygen.BroadcastBloodOxygenActivity"
            android:screenOrientation="portrait" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <service
            android:name="org.eclipse.paho.android.service.MqttService"
            android:enabled="true"
            android:exported="true"></service>

        <service android:name="com.pingwang.bluetoothlib.server.ELinkBleServer"
            android:foregroundServiceType="connectedDevice"
            />
    </application>

</manifest>